From f921d08151577b520a3ed09710675fe8dcc22039 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <dgustafsson@postgresql.org>
Date: Wed, 9 Oct 2024 10:01:13 +0200
Subject: [PATCH v1] Remove depracated -H option for host

The -H option for specifying the host has been deprecated since v12
so it's about time to remove it now.
---
 contrib/oid2name/oid2name.c | 3 ---
 doc/src/sgml/oid2name.sgml  | 7 -------
 2 files changed, 10 deletions(-)

diff --git a/contrib/oid2name/oid2name.c b/contrib/oid2name/oid2name.c
index 5180290713..62d3bd17ec 100644
--- a/contrib/oid2name/oid2name.c
+++ b/contrib/oid2name/oid2name.c
@@ -65,7 +65,6 @@ get_opts(int argc, char **argv, struct options *my_opts)
 	static const struct option long_options[] = {
 		{"dbname", required_argument, NULL, 'd'},
 		{"host", required_argument, NULL, 'h'},
-		{"host", required_argument, NULL, 'H'}, /* deprecated */
 		{"filenode", required_argument, NULL, 'f'},
 		{"indexes", no_argument, NULL, 'i'},
 		{"oid", required_argument, NULL, 'o'},
@@ -131,7 +130,6 @@ get_opts(int argc, char **argv, struct options *my_opts)
 				break;
 
 				/* host to connect to */
-			case 'H':			/* deprecated */
 			case 'h':
 				my_opts->hostname = pg_strdup(optarg);
 				break;
@@ -217,7 +215,6 @@ help(const char *progname)
 		   "\nConnection options:\n"
 		   "  -d, --dbname=DBNAME        database to connect to\n"
 		   "  -h, --host=HOSTNAME        database server host or socket directory\n"
-		   "  -H                         (same as -h, deprecated)\n"
 		   "  -p, --port=PORT            database server port number\n"
 		   "  -U, --username=USERNAME    connect as specified database user\n"
 		   "\nThe default action is to show all database OIDs.\n\n"
diff --git a/doc/src/sgml/oid2name.sgml b/doc/src/sgml/oid2name.sgml
index 54cc9be2b8..2600070942 100644
--- a/doc/src/sgml/oid2name.sgml
+++ b/doc/src/sgml/oid2name.sgml
@@ -152,13 +152,6 @@
      <listitem><para>database server's host.</para></listitem>
     </varlistentry>
 
-    <varlistentry>
-     <term><option>-H <replaceable class="parameter">host</replaceable></option></term>
-     <listitem><para>database server's host.  Use of this parameter is
-     <emphasis>deprecated</emphasis> as of
-     <productname>PostgreSQL</productname> 12.</para></listitem>
-    </varlistentry>
-
     <varlistentry>
      <term><option>-p <replaceable class="parameter">port</replaceable></option></term>
      <term><option>--port=<replaceable class="parameter">port</replaceable></option></term>
-- 
2.39.3 (Apple Git-146)

